libqt4-x11-4.8.6-16.6.x86_64.rpm


Advertisement

Description

libqt4-x11 - Qt 4 GUI related libraries

Property Value
Distribution openSUSE Leap 42.3
Repository openSUSE Oss all
Package name libqt4-x11
Package version 4.8.6
Package release 16.6
Package architecture x86_64
Package type rpm
Installed size 30.48 MB
Download size 10.11 MB
Official Mirror ftp.gwdg.de
Qt 4 libraries which are used for drawing widgets and OpenGL items.

Alternatives

Package Version Architecture Repository
libqt4-x11-4.8.7-17.3.1.x86_64.rpm 4.8.7 x86_64 openSUSE Update Oss
libqt4-x11 - - -

Requires

Name Value
/sbin/ldconfig -
libGL.so.1()(64bit) -
libICE.so.6()(64bit) -
libQtCLucene.so.4()(64bit) -
libQtCore.so.4()(64bit) -
libQtDBus.so.4()(64bit) -
libQtDeclarative.so.4()(64bit) -
libQtDesigner.so.4()(64bit) -
libQtGui.so.4()(64bit) -
libQtNetwork.so.4()(64bit) -
libQtOpenGL.so.4()(64bit) -
libQtScript.so.4()(64bit) -
libQtSql.so.4()(64bit) -
libQtSvg.so.4()(64bit) -
libQtXml.so.4()(64bit) -
libQtXmlPatterns.so.4()(64bit) -
libSM.so.6()(64bit) -
libX11.so.6()(64bit) -
libXcursor.so.1()(64bit) -
libXext.so.6()(64bit) -
libXfixes.so.3()(64bit) -
libXi.so.6()(64bit) -
libXinerama.so.1()(64bit) -
libXrandr.so.2()(64bit) -
libXrender.so.1()(64bit) -
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.11)(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.15)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libc.so.6(GLIBC_2.9)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libfontconfig.so.1()(64bit) -
libfreetype.so.6()(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libglib-2.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libjpeg.so.8()(64bit) -
libjpeg.so.8(LIBJPEG_8.0)(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libmng.so.1()(64bit) -
libpng16.so.16()(64bit) -
libpng16.so.16(PNG16_0)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpthread.so.0(GLIBC_2.3.2)(64bit) -
libqt4 = 4.8.6
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libtiff.so.5()(64bit) -
libz.so.1()(64bit) -
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsLzma) <= 4.4.6-1

Provides

Name Value
application() -
application(qt4config.desktop) -
libQtDeclarative.so.4()(64bit) -
libQtDesigner.so.4()(64bit) -
libQtDesignerComponents.so.4()(64bit) -
libQtGui.so.4()(64bit) -
libQtHelp.so.4()(64bit) -
libQtMultimedia.so.4()(64bit) -
libQtOpenGL.so.4()(64bit) -
libQtScript.so.4()(64bit) -
libQtScriptTools.so.4()(64bit) -
libQtSvg.so.4()(64bit) -
libqconnmanbearer.so()(64bit) -
libqdeclarativeview.so()(64bit) -
libqgenericbearer.so()(64bit) -
libqgif.so()(64bit) -
libqglgraphicssystem.so()(64bit) -
libqico.so()(64bit) -
libqimsw-multi.so()(64bit) -
libqjpeg.so()(64bit) -
libqmldbg_inspector.so()(64bit) -
libqmldbg_tcp.so()(64bit) -
libqmlfolderlistmodelplugin.so()(64bit) -
libqmlgesturesplugin.so()(64bit) -
libqmlparticlesplugin.so()(64bit) -
libqmlshadersplugin.so()(64bit) -
libqmng.so()(64bit) -
libqnmbearer.so()(64bit) -
libqsvg.so()(64bit) -
libqsvgicon.so()(64bit) -
libqt4-x11 = 4.8.6-16.6
libqt4-x11(x86-64) = 4.8.6-16.6
libqtaccessiblewidgets.so()(64bit) -
libqtga.so()(64bit) -
libqtiff.so()(64bit) -
libqtracegraphicssystem.so()(64bit) -
libqtscriptdbus.so()(64bit) -
qt-x11 = 4.4.0

Obsoletes

Name Value
qt-x11 < 4.4.0

Download

Type URL
Binary Package libqt4-x11-4.8.6-16.6.x86_64.rpm
Source Package libqt4-4.8.6-16.6.src.rpm

Install Howto

Install libqt4-x11 rpm package:

# zypper install libqt4-x11

Files

Path
/etc/rpm/macros.qt4
/usr/bin/qdbusviewer
/usr/bin/qmlplugindump
/usr/bin/qmlviewer
/usr/bin/qtconfig

See Also

Package Description
libqt5-creator-4.3.0-1.2.x86_64.rpm Lightweight IDE
libqt5-creator-plugin-devel-4.3.0-1.2.x86_64.rpm Qt Creator Plugin Development Files
libqt5-linguist-5.6.2-1.23.x86_64.rpm Qt 5 Linguist Tools
libqt5-linguist-devel-5.6.2-1.23.x86_64.rpm Qt 5 Linguist Tools - development files
libqt5-qt3d-devel-5.6.2-1.3.x86_64.rpm Qt Development Kit
libqt5-qt3d-examples-5.6.2-1.3.x86_64.rpm Qt5 3D examples
libqt5-qt3d-imports-5.6.2-1.3.x86_64.rpm Qt 5 3D Library - QML imports
libqt5-qt3d-private-headers-devel-5.6.2-1.3.noarch.rpm Non-ABI stable experimental API
libqt5-qt3d-tools-5.6.2-1.3.x86_64.rpm Qt5 3D tools
libqt5-qtbase-common-devel-5.6.2-6.1.x86_64.rpm Qt 5 Core Development Binaries
libqt5-qtbase-devel-5.6.2-6.1.x86_64.rpm Qt Development Kit
libqt5-qtbase-examples-32bit-5.6.2-6.1.x86_64.rpm Qt5 base examples
libqt5-qtbase-examples-5.6.2-6.1.x86_64.rpm Qt5 base examples
libqt5-qtbase-private-headers-devel-5.6.2-6.1.noarch.rpm Non-ABI stable experimental API
libqt5-qtconnectivity-devel-32bit-5.6.2-1.3.x86_64.rpm Qt Development Kit
Advertisement
Advertisement